---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: sebserver-prod

replicas:
  - name: seb-guiservice
    count: 2
  - name: seb-webservice
    count: 4
  - name: sps-webservice
    count: 2
  - name: sps-guiservice
    count: 2

images:
  - name: anhefti/seb-server
    newTag: v2.0.3
  - name: anhefti/seb-sps
    newTag: v1.0.3
  - name: naritter/seb-sps-gui
    newTag: v1.0.3

resources:
  - ../seb-server-setup/docker/ethz/cloud/kustomize
  - ingress.yml
  - app-env.json
  - db-env.json
  - sps-s3-tls-cert.json

# If variables with plain "value" are replaced by variables fed from secrets ("valueFrom"),
# the old assignment has to be deleted first! Otherwise duplicate entries for "value" and
# "valueFrom" exists.
patches:
  - path: patch-seb-web-delete.yml
  - path: patch-seb-web-add.yml
  - path: patch-seb-gui-delete.yml
  - path: patch-seb-gui-add.yml
  - path: patch-sps-web-delete.yml
  - path: patch-sps-web-add.yml
  - path: patch-sps-gui-delete.yml
  - path: patch-sps-gui-add.yml
  # - path: patch-sps-web-pullpolicy.yml

  # we don't use a local DB instance
  - patch: |-
      apiVersion: apps/v1
      kind: Deployment
      metadata:
        name: seb-mariadb
      $patch: delete
  - patch: |-
      apiVersion: v1
      kind: PersistentVolumeClaim
      metadata:
        name: mysql-pv-claim
      $patch: delete
  - patch: |-
      apiVersion: v1
      kind: ConfigMap
      metadata:
        name: seb-mariadb-config
      $patch: delete
  - patch: |-
      apiVersion: v1
      kind: Service
      metadata:
        name: seb-mariadb
      $patch: delete
